Bug 734066 - slf4j is missing classes on IBM JVM
Summary: slf4j is missing classes on IBM JVM
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Ryan Zhang
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks: 731988
TreeView+ depends on / blocked
 
Reported: 2011-08-29 11:09 UTC by Tomas Schlosser
Modified: 2011-10-05 05:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, was not present, this was resulting in the ClassNotFoundException being thrown.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Tomas Schlosser 2011-08-29 11:09:26 UTC
Description of problem:
When trying to persist session on IBM JDK I get java.lang.ClassNotFoundException.

Version-Release number of selected component (if applicable):
BRMS-5.3.0-ER3
JRE 1.6.0 IBM J9 2.4 AIX ppc64-64 jvmap6460sr9-20110624_85526 (JIT enabled, AOT enabled) J9VM - 20110624_085526 JIT - r9_20101028_17488ifx17 GC - 20101027_AA
RHEL 5 and 6, AIX 5

How reproducible:
every time

Steps to Reproduce:
1. try to set up a persisted session
  
Actual results:
org.slf4j.LoggerFactory.bind(LoggerFactory.java:121)
at org.slf4j.LoggerFactory.performInitialization(LoggerFactory.java:111)
at org.slf4j.LoggerFactory.getILoggerFactory(LoggerFactory.java:268)
at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:241)
at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:254)
at bitronix.tm.resource.jdbc.PoolingDataSource.<clinit>(PoolingDataSource.java:47)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:200)
at org.jboss.qa.drools.features.PersistenceTest.setUpPersistedSession(PersistenceTest.java:68)
25 lines not shown

Caused by org.slf4j.impl.StaticLoggerBinder
java.lang.ClassNotFoundException.<init>(ClassNotFoundException.java:76)
at java.net.URLClassLoader.findClass(URLClassLoader.java:396)
at java.lang.ClassLoader.loadClass(ClassLoader.java:653)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:358)
at java.lang.ClassLoader.loadClass(ClassLoader.java:619)
at org.slf4j.LoggerFactory.bind(LoggerFactory.java:121)
at org.slf4j.LoggerFactory.performInitialization(LoggerFactory.java:111)
at org.slf4j.LoggerFactory.getILoggerFactory(LoggerFactory.java:268)
at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:241)
at org.slf4j.LoggerFactory.getLogger(LoggerFactory.java:254)
at bitronix.tm.resource.jdbc.PoolingDataSource.<clinit>(PoolingDataSource.java:47)
at java.lang.J9VMInternals.initializeImpl(Native Method)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:200)
at org.jboss.qa.drools.features.PersistenceTest.setUpPersistedSession(PersistenceTest.java:68)
25 lines not shown

Comment 1 Ryan Zhang 2011-09-06 10:02:02 UTC
After checking with Tomas, to add slf4j-log4j12.jar into the classpath would fix this issue.
I would add slf4j-log4j12.jar into the brms-engine.zip for next release.

Comment 2 Tomas Schlosser 2011-09-20 08:53:58 UTC
slf4j-log4j12.jar didn't make it to BRMS-5.2.0.ER4

Comment 3 lcarlon 2011-09-22 23:11:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
As a result of the resolution of <ulink url="https://bugzilla.redhat.com/show_bug.cgi?id=724672"/> the slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, the ClassNotFoundException is thrown.

Comment 4 lcarlon 2011-09-22 23:23:43 UTC
Hi Tomas, Ryan,

Would you mind reviewing the release note content to make sure I have described the issue correctly.

Thanks
Lee

Comment 5 lcarlon 2011-09-23 02:48:02 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-As a result of the resolution of <ulink url="https://bugzilla.redhat.com/show_bug.cgi?id=724672"/> the slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, the ClassNotFoundException is thrown.+The slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, is not present, this results in the ClassNotFoundException being thrown.

Comment 6 lcarlon 2011-09-23 02:48:28 UTC
Release note updated, thanks for the comments Ryan.

Comment 7 Tomas Schlosser 2011-09-30 08:06:37 UTC
This bug was fixed in BRMS-5.2.0.ER5, marking it verified.

Comment 8 lcarlon 2011-10-05 05:03:02 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, is not present, this results in the ClassNotFoundException being thrown.+The slf4j-log4j12.jar, which is required for persistence when using IBM's JDK, was not present, this was resulting in the ClassNotFoundException being thrown.


Note You need to log in before you can comment on or make changes to this bug.